---
title: "Updates Shipping Port by id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/put-shippingports-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Updates Shipping Port by id

`PUT` `/shippingports/{id}`

Operation ID: `put-shippingports-id`

Sample request: PUT /shippingport { "name": "Mexico" }

## Path parameters

- `id` (integer, int32, required) - Shipping Port id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Request body

Content types: `application/json`

## Responses

- `200` - Returns updated Shipping Port
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Shipping Port not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /shippingports/{id}:
    put:
      tags:
        - shippingports
      summary: Updates Shipping Port by id
      description: "Sample request:\r

        \r

        \     PUT /shippingport\r

        \     {\r

        \         \"name\": \"Mexico\"     \r

        \      }"
      operationId: put-shippingports-id
      parameters:
        - name: id
          in: path
          description: Shipping Port id
          required: true
          schema:
            type: integer
            description: Shipping Port id
            format: int32
            example: 10000
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      requestBody:
        description: Shipping Port model
        content:
          application/json:
            schema:
              title: EmptyExample
              type: object
              additionalProperties: false
      responses:
        "200":
          description: Returns updated Shipping Port
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/SupplierShippingPort"
              example:
                id: 0
                name: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Shipping Port not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    SupplierShippingPort:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier shipping port id
          format: int32
        name:
          maxLength: 100
          minLength: 0
          type: string
          description: Supplier shipping port name
          nullable: true
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
```
